MTREE_SUBTREE_DATA(3)

NAME
mtree_subtree_data_min, mtree_subtree_data_max - return minmax data nodes

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/mtree.h>

size_t mtree_subtree_data_min(size_t base, size_t root);
size_t mtree_subtree_data_max(size_t base, size_t root);

Compile and link with -llibrecast.

DESCRIPTION
The mtree_subtree_data_min and mtree_subtree_data_max functions return the node number of the minimum and maximum data nodes respectively for the subtree with root node root for a tree with base data nodes.

Nodes are numbered from 0 = root.

RETURN VALUE
These functions return the number of the min or max data node as appropriate.

ERRORS
None.

SEE ALSO
mtree_init(3), mtree_free(3), mtree_build(3), mtree_child(3), mtree_parent(3)